
#import "ViewController.h"

@interface ViewController ()
@end

@implementation ViewController

- (void)viewDidLoad {
  [super viewDidLoad];
  [self createtextFields];
}

-(void)createtextFields {
  textField1 = [[UITextField alloc] initWithFrame:CGRectMake(40, 100, 200, 44)];
  textField1.textContentType = UITextContentTypeUsername;
  textField1.placeholder = @"Add username";
  textField1.backgroundColor = [UIColor grayColor];
  [self.view addSubview:textField1];
  
  textField3 = [[UITextField alloc] initWithFrame:CGRectMake(40, 200, 200, 44)];
  textField3.textContentType = UITextContentTypePassword;
  textField3.placeholder = @"Add password";
  textField3.backgroundColor = [UIColor grayColor];
  [self.view addSubview:textField3];
  
  button1 = [UIButton buttonWithType:UIButtonTypeSystem];
  button1.frame = CGRectMake(40, 20, 200, 44);
  [button1 setTitle:@"Add SubView with TextField" forState:UIControlStateNormal];
  [button1 addTarget:self action:@selector(addView:) forControlEvents:UIControlEventTouchUpInside];
  [self.view addSubview:button1];
}

-(IBAction)addView:(id)sender {
  [textField1 endEditing:YES];
  [textField3 endEditing:YES];
  
  [self addSubViewWithTextField];
}

- (void)addSubViewWithTextField {
  if (view) {
    [self.view addSubview:view];
    return;
  }
  view = [[UIView alloc] initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, self.view.frame.size.height)];
  view.backgroundColor = [UIColor yellowColor];
  textField2 = [[UITextField alloc] initWithFrame:CGRectMake(40, 100, 200, 44)]; // Not as expected result(password tollbar shown). Reason is textField2 is just above the textField1
  
 // textField2 = [[UITextField alloc] initWithFrame:CGRectMake(40, 250, 200, 44)];   // Expected result (password toolbar not shown). Reason is textField2 is not just above the textField1
  textField2.backgroundColor = [UIColor grayColor];
  textField2.placeholder = @"Add Random";
  
  [view addSubview:textField2];
  [self.view addSubview:view];
  
  button2 = [UIButton buttonWithType:UIButtonTypeSystem];
  button2.frame = CGRectMake(40, 20, 200, 44);

  [button2 setTitle:@"Remove View" forState:UIControlStateNormal];
  [button2 addTarget:self action:@selector(removeView:) forControlEvents:UIControlEventTouchUpInside];
  [view addSubview:button2];
}

-(IBAction)removeView:(id)sender {
  [textField2 endEditing:YES];
  [view removeFromSuperview];
}

@end
